/*
THIS FUNCTION READS ONE OR TWO BYTES FROM THE I2C BUS
*/


int I2C_Read(byte address,byte command,byte n){  
  int data_;
  int DATA;  
  
  Wire.beginTransmission(address);
  Wire.send(command);
  Wire.endTransmission();
  Wire.requestFrom(address,n);
  while(Wire.available())
  {
   DATA = Wire.receive();
    if (n == 2 && address == MCP){  // two bytes from digipot come in MSB first
      data_ = Wire.receive();
      DATA = (DATA<<8) + data_; 
    }
    if (n == 2 && address == ADPS){ //two bytes from light sensor come in LSB first
      data_ = Wire.receive();
      DATA += data_<<8;
    }
    if (n == 9){    // get ready to read temp and time stamp from DS3231
      tempR = Wire.receive();   // get temp right of decimal
      seconds = Wire.receive(); // get seconds
      minutes = Wire.receive(); // get minutes
      hours = Wire.receive();   // get hours
      day = Wire.receive();     // get day
      date = Wire.receive();    // get date
      month = Wire.receive();   // get month
      year = Wire.receive();    // get year 
      
    }
  }
  return(DATA);
}

