/*
THIS IS ADDRESS AND COMMAND BYTES FOR CONTROLLING 
THE MAXIM DS3231 REAL TIME CLOCK
RTC ADDRESS IS 0x68
*/

#define  DS3231   0x68  //7 BIT address of DS3231 RTC
#define  SEC       0x00 
#define  MIN         0x01  
#define  HR          0x02 
#define  DAY        0x03 
#define  DATE       0x04
#define  MONTH    0x05
#define  YEAR      0x06  
#define  A1_SEC   0x07  
#define  A1_MIN    0x08  
#define  A1_HR     0x09  
#define  A1_DYDT 0x0A  
#define  A2_MIN    0x0B  
#define  A2_HR 	0x0C  
#define  A2_DYDT	0x0D  
#define  CTRL	0x0E
#define  STAT	0x0F
#define  AGE	0x10
#define  TEMP_L	0x11
#define  TEMP_R	0x12

