 
// > MCP4551 DIGITAL POTENTIOMETER CONSTANTS

// > ADDRESS BYTE <
#define MCP          0x2F	//B0101111(R/W) 	  //Control Byte / Slave Address = 0.1.0.1 / 1.1.A0.R/W 

//  > COMMAND BYTES <
#define Write_W0      0x00	//B00000000           //Write WiperO command 
#define Read_W0       0x0C	//B00001100           //Read Wiper0 command
#define Inc_W0        0x04	//B00000100           //Incriment Wiper0 Command
#define Dec_W0        0x08	//B00001000           //Decriment Wiper0 Command
#define TCON_R        0x4C	//B01001100           //Read the Terminal Control Register
#define TCON_W        0x40	//B01000000           //Write to the Terminal Control Register

//  > TCON SETTINGS <
#define W0_ENABLE     0x0F	//B00001111   //W0 not in shutdown, all pins connected "on"
#define W0_DISABLE    0x0E	//B00001110   //W0 not in shutdown, P0A,POW = "on"  P0B,= disconnected "off"
                                          		       //in this state the sense pin of the TC54 feels +V