/*

THIS IS THE SLEEP CODE. ALSO THE INTERRUPT SERVICE ROUTINE IS BELOW

*/



void system_sleep() {
  delay(25);
  EIMSK = 0x01;                            // enable external interrupt on pin 2
//  pinMode(13,INPUT);
//  pinMode(11,INPUT);
  pinMode(10,INPUT);
  digitalWrite(P_Gate,HIGH);                // turn off board  
  //pinMode(P_Gate,INPUT);
  ADCSRA |= (0<<ADEN);                     // disable ADC
  PRR &= 0x81;                             // switch off TWI and ADC
  sleep_enable();                          // enable sleeping
  MCUCR |= (1<<BODS) | (1<<BODSE);         // enable BOD sleep
  MCUCR |= (1<<BODS) & (0<<BODSE);         // switch off BOD
  sleep_mode();                            // activate system sleep
    // sleeping ... \\
    // sleeping ... \\
    sleep_disable();                      // disable sleep 
    PRR = 0x00;                           // turn on the clocks
    ADCSRA |= (1<<ADEN);                  // enable ADC 
    //pinMode(P_Gate,OUTPUT);
//    pinMode(13,OUTPUT);
//    pinMode(11,OUTPUT);
    pinMode(10,OUTPUT);
    digitalWrite (P_Gate,LOW);           // power to board
    delay(25);
    Serial.print("awake\t"); 
    Serial.println(_alarm);
    I2C_Write(DS3231,STAT,0);             // clear INT0 alarm flag
    set_alarm(0x10);                      // set alarm 1 on DS3231 to interrupt in 10
    
}


void isr() {
  EIMSK = 0;
  _alarm ++;  // increment the alarm counter
}
